# -*- coding: utf-8 -*-
# Generated by Django 1.9.13 on 2017-08-01 15:51
from __future__ import unicode_literals

from django.db import migrations
from contribmap.utils import add_one_year



def add_missing_expiration_date(apps, schema_editor):
    Contrib = apps.get_model('contribmap', 'contrib')
    for contrib in Contrib.objects.filter(expiration_date=None):
        contrib.expiration_date = add_one_year(contrib.date)
        contrib.save()

class Migration(migrations.Migration):

    dependencies = [
        ('contribmap', '0015_contrib_expiration_date'),
    ]

    operations = [
        migrations.RunPython(add_missing_expiration_date),
    ]
